/**
 * Models the config in tslint.tslint-folders.JSON
 * for rule 'tsf-folders-imports-between-packages'
 */
export declare type ImportsBetweenPackagesRuleConfig = {
    checkImportsBetweenPackages: CheckImportsBetweenPackages;
    disallowImportFromSelf: DisallowImportFromSelf;
};
export declare type CheckImportsBetweenPackages = {
    enabled: boolean;
    ban?: string[];
    banBlacklist?: string[];
    checkSubFoldersEnabled: boolean;
    ignorePaths: string[];
    packages: PackageFolder[];
};
export declare type DisallowImportFromSelf = {
    enabled: boolean;
    ignorePaths: string[];
};
export declare type PackageFolder = {
    description: string;
    importPath: string;
    isExternal: boolean;
    allowedToImport: string[];
    diagramCluster?: string;
    subFolders: PackageSubFolder[];
};
export declare type PackageSubFolder = {
    description: string;
    importPath: string;
    allowedToImport: string[];
};
